Subject: [MEXT] Submission of hiopt-14

From: Heejin Jang <[email-masked]>
Date: Thu, 17 Apr 2008 07:58:39 +0000 (GMT)

Hi, Jari.
 
I've submitted new draft (hiopt-14) which reflects Alfred's lated comments 
and the discussion results about  sub-opt-codes.
 
Regarding sub-option for IPv6 home network prefix, for minimum change, 
I kept using the same set of sub-opt-codes as you recommened, and
the Home Network Parameter field in the sub-option was just simplified without
lifetimes because they were intended to be used for address auto-configuration.

 - Best regards, 
Heejin 

------- Original Message -------
Sender : Jari Arkko<[email-masked]>
Date   : 2008-04-16 19:26 (GMT+09:00)
Title  : Re: [MEXT] FW: Summary for the changes in hiopt-13

Heejin,

> As shown in Fig in page 10 of v13, the sub-option with sub-opt-code 1 
> carries home network prefix together with valid & preferred lifetimes.
> This means that the prefix also will be used for IPv6 address autoconfiguration.
> I meant that the provided prefix was both for DHAAD and for Autoconf.
>
> If the provided prefix is intended only for the use of DHAAD and 
> the auto-configuration is not allowed with it, it should be mentioned clearly
> in the document..isn&#39;t it?
>   
I agree that this should be made clear in the document.

But I&#39;m also getting the sense that we&#39;re piling on many things into
this document (including late changes), and it does not make me feel good.

I tried to trace which caused us to insert the lifetimes into the
document in version 11, but was unable to find it. Perhaps someone
complained about the inability to see prefix length (version 10 had that
problem)?

In any case, I really do not want this document to extend itself into
address configuration. You do not have the explanations or mechanisms in
the document to do that. For instance, how would it work with security,
i.e., avoiding grabbing someone else&#39;s address? Perhaps more to the
point, we have already stretched our ability to make changes in late
reviews, and we are close to sending it back to the WG.

I would suggest stating that the prefix information is for DHAAD only,
or alternatively removing the entire concept of sending prefix information.

Jari

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext